% ------------------------------------------------------------------------------
% compute nn output for a given input
%
% net:       nn as created with nn_init_net()
%
% inputs:    input layer as matrix (1 x n_input) with single values
%
% ------------------------------------------------------------------------------

function res = nn_query_net(net, inputs)

  % (n_hidden x 1) = (n_hidden x n_input) * (n_input x 1)
  hidden_inputs = net.weight_ih * inputs';
  % (n_hidden x 1)
  hidden_outputs = nn_sigmoid(hidden_inputs);

  % (n_output x 1) = (n_output x n_hidden) * (n_hidden x 1)
  output_inputs = net.weight_ho * hidden_outputs;
  % (n_output x 1)
  output_outputs = nn_sigmoid(output_inputs);

  res = output_outputs;
end
